%------------------------------------------------------------------------------
% File     : ALG279^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : General Algebra
% Problem  : TPS problem from GRP-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0879 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    4 (   1 unit;   1 type;   2 defn)
%            Number of atoms       :   56 (   6 equality;  26 variable)
%            Maximal formula depth :   13 (   8 average)
%            Number of connectives :   21 (   0   ~;   0   |;   2   &;  18   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +)
%            Number of symbols     :    4 (   1   :;   0  :=)
%            Number of variables   :   13 (   0 sgn;   8   !;   1   ?;   4   ^)
%                                         (  13   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(g_type,type,(
    g: $tType )).

thf(cGRP_RIGHT_INVERSE,definition,
    ( cGRP_RIGHT_INVERSE
    = ( ^ [Xf: g > g > g,Xe: g] :
        ! [Xa: g] :
        ? [Xb: g] :
          ( ( Xf @ Xa @ Xb )
          = Xe ) ) )).

thf(cGRP_RIGHT_UNIT,definition,
    ( cGRP_RIGHT_UNIT
    = ( ^ [Xf: g > g > g,Xe: g] :
        ! [Xa: g] :
          ( ( Xf @ Xa @ Xe )
          = Xa ) ) )).

thf(cE13A2A,conjecture,(
    ! [Xf: g > g > g,Xe: g] :
      ( ( ! [Xb: g,Xc: g,Xa: g] :
            ( ( Xf @ ( Xf @ Xa @ Xb ) @ Xc )
            = ( Xf @ Xa @ ( Xf @ Xb @ Xc ) ) )
        & ( cGRP_RIGHT_UNIT @ Xf @ Xe )
        & ( cGRP_RIGHT_INVERSE @ Xf @ Xe ) )
     => ! [Xa: g] :
          ( ( Xf @ Xe @ Xa )
          = Xa ) ) )).

%------------------------------------------------------------------------------
