%------------------------------------------------------------------------------
% File     : ALG285^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : General Algebra
% Problem  : TPS problem from GRP-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1023 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    5 (   2 unit;   4 type;   0 defn)
%            Number of atoms       :   62 (   6 equality;  22 variable)
%            Maximal formula depth :   11 (   4 average)
%            Number of connectives :   30 (   0   ~;   0   |;   4   &;  25   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +)
%            Number of symbols     :    5 (   4   :;   0  :=)
%            Number of variables   :   12 (   0 sgn;  10   !;   2   ?;   0   ^)
%                                         (  12   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cP,type,(
    cP: a > a > a )).

thf(cE,type,(
    cE: a )).

thf(cJ,type,(
    cJ: a > a )).

thf(cTHM22_pme,conjecture,
    ( ( ! [Xx: a,Xy: a,Xz: a] :
          ( ( cP @ ( cP @ Xx @ Xy ) @ Xz )
          = ( cP @ Xx @ ( cP @ Xy @ Xz ) ) )
      & ! [Xx: a] :
          ( ( cP @ cE @ Xx )
          = Xx )
      & ! [Xy: a] :
          ( ( cP @ ( cJ @ Xy ) @ Xy )
          = cE ) )
   => ( ! [Xx: a,Xy: a,Xz: a] :
          ( ( cP @ ( cP @ Xx @ Xy ) @ Xz )
          = ( cP @ Xx @ ( cP @ Xy @ Xz ) ) )
      & ! [X: a,Y: a] :
          ( ? [U: a] :
              ( ( cP @ X @ U )
              = Y )
          & ? [V: a] :
              ( ( cP @ V @ X )
              = Y ) ) ) )).

%------------------------------------------------------------------------------
