%------------------------------------------------------------------------------
% File     : LCL603^1 : TPTP v4.0.0. Released v3.6.0.
% Domain   : Logical Calculi
% Problem  : T and 4 imply reflexivity and transitivity of R in K
% Version  : [BP09] axioms.
% English  :

% Refs     : [BP09]  Benzmueller & Paulson (2009), Exploring Properties of
% Source   : [BP09]
% Names    : K-T4-b [BP09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0, 0.67 v3.7.0
% Syntax   : Number of formulae    :   78 (   2 unit;  41 type;  36 defn)
%            Number of atoms       :  628 (  40 equality; 155 variable)
%            Maximal formula depth :   12 (   6 average)
%            Number of connectives :  142 (   6   ~;   3   |;  16   &; 106   @)
%                                         (   1 <=>;  10  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  224 ( 224   >;   0   *;   0   +)
%            Number of symbols     :   42 (  41   :;   0  :=)
%            Number of variables   :  110 (   2 sgn;  24   !;  10   ?;  76   ^)
%                                         ( 110   :;   0  :=;   0  !>;   0  ?*)

% Comments :
%          : THF0 syntax
%------------------------------------------------------------------------------
%----Include simple maths definitions and axioms
include('Axioms/LCL008^0.ax').
include('Axioms/SET008^2.ax').
%------------------------------------------------------------------------------
%----Conjecture
thf(thm,conjecture,(
    ! [R: $i > $i > $o] :
      ( ! [A: $i > $o] :
          ( ( mvalid @ ( mimpl @ ( mbox @ R @ A ) @ ( mbox @ R @ ( mbox @ R @ A ) ) ) )
          & ( mvalid @ ( mimpl @ ( mbox @ R @ A ) @ A ) ) )
     => ( ( reflexive @ R )
        & ( transitive @ R ) ) ) )).

%------------------------------------------------------------------------------
