%------------------------------------------------------------------------------
% File     : NUM636^2 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Number Theory
% Problem  : Landau theorem 2
% Version  : Especial.
% English  :

% Refs     : [Lan30] Landau (1930), Grundlagen der Analysis
%          : [vBJ79] van Benthem Jutting (1979), Checking Landau's "Grundla
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [TPTP]
% Names    : satz2 [Lan30]

% Status   : Theorem
% Rating   : 0.67 v3.7.0
% Syntax   : Number of formulae    :    6 (   1 unit;   2 type;   0 defn)
%            Number of atoms       :   36 (   4 equality;  14 variable)
%            Maximal formula depth :    8 (   5 average)
%            Number of connectives :   15 (   2   ~;   0   |;   1   &;   9   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +)
%            Number of symbols     :    4 (   2   :;   0  :=)
%            Number of variables   :    7 (   0 sgn;   7   !;   0   ?;   0   ^)
%                                         (   7   :;   0  :=;   0  !>;   0  ?*)

% Comments :
%------------------------------------------------------------------------------
thf(one_type,type,(
    one: $i )).

thf(succ_type,type,(
    succ: $i > $i )).

thf(one_is_first,axiom,(
    ! [X: $i] :
      ( ( succ @ X )
     != one ) )).

thf(succ_injective,axiom,(
    ! [X: $i,Y: $i] :
      ( ( ( succ @ X )
        = ( succ @ Y ) )
     => ( X = Y ) ) )).

thf(induction,axiom,(
    ! [M: $i > $o] :
      ( ( ( M @ one )
        & ! [X: $i] :
            ( ( M @ X )
           => ( M @ ( succ @ X ) ) ) )
     => ! [Y: $i] :
          ( M @ Y ) ) )).

thf(satz2,conjecture,(
    ! [X: $i] :
      ( ( succ @ X )
     != X ) )).

%------------------------------------------------------------------------------
