%------------------------------------------------------------------------------
% File     : NUM680^1 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Number Theory
% Problem  : Landau theorem 20a
% Version  : Especial.
% English  : more x y

% Refs     : [Lan30] Landau (1930), Grundlagen der Analysis
%          : [vBJ79] van Benthem Jutting (1979), Checking Landau's "Grundla
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : satz20a [Lan30]

% Status   : Theorem
%          : Without extensionality : Theorem
% Rating   : 0.33 v4.0.0, 0.00 v3.7.0
% Syntax   : Number of formulae    :   14 (   4 unit;   7 type;   0 defn)
%            Number of atoms       :   83 (   5 equality;  32 variable)
%            Maximal formula depth :   12 (   5 average)
%            Number of connectives :   53 (  11   ~;   0   |;   0   &;  32   @)
%                                         (   0 <=>;  10  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +)
%            Number of symbols     :    9 (   7   :;   0  :=)
%            Number of variables   :   11 (   0 sgn;  11   !;   0   ?;   0   ^)
%                                         (  11   :;   0  :=;   0  !>;   0  ?*)

% Comments :
%------------------------------------------------------------------------------
thf(nat_type,type,(
    nat: $tType )).

thf(x,type,(
    x: nat )).

thf(y,type,(
    y: nat )).

thf(z,type,(
    z: nat )).

thf(more,type,(
    more: nat > nat > $o )).

thf(pl,type,(
    pl: nat > nat > nat )).

thf(m,axiom,
    ( more @ ( pl @ x @ z ) @ ( pl @ y @ z ) )).

thf(et,axiom,(
    ! [Xa: $o] :
      ( ~ ( ~ ( Xa ) )
     => Xa ) )).

thf(less,type,(
    less: nat > nat > $o )).

thf(satz10b,axiom,(
    ! [Xx: nat,Xy: nat] :
      ~ ( ( ( Xx = Xy )
         => ~ ( more @ Xx @ Xy ) )
       => ~ ( ~ ( ( ( more @ Xx @ Xy )
                 => ~ ( less @ Xx @ Xy ) )
               => ~ ( ( less @ Xx @ Xy )
                   => ( Xx != Xy ) ) ) ) ) )).

thf(satz19b,axiom,(
    ! [Xx: nat,Xy: nat,Xz: nat] :
      ( ( Xx = Xy )
     => ( ( pl @ Xx @ Xz )
        = ( pl @ Xy @ Xz ) ) ) )).

thf(satz19c,axiom,(
    ! [Xx: nat,Xy: nat,Xz: nat] :
      ( ( less @ Xx @ Xy )
     => ( less @ ( pl @ Xx @ Xz ) @ ( pl @ Xy @ Xz ) ) ) )).

thf(satz10a,axiom,(
    ! [Xx: nat,Xy: nat] :
      ( ( Xx != Xy )
     => ( ~ ( more @ Xx @ Xy )
       => ( less @ Xx @ Xy ) ) ) )).

thf(satz20a,conjecture,
    ( more @ x @ y )).

%------------------------------------------------------------------------------
