%------------------------------------------------------------------------------
% File     : NUM717^1 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Number Theory
% Problem  : Landau theorem 32h
% Version  : Especial.
% English  : more (ts z x) (ts u y)

% Refs     : [Lan30] Landau (1930), Grundlagen der Analysis
%          : [vBJ79] van Benthem Jutting (1979), Checking Landau's "Grundla
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : satz32h [Lan30]

% Status   : Theorem
%          : Without extensionality : Theorem
% Rating   : 0.33 v3.7.0
% Syntax   : Number of formulae    :   12 (   5 unit;   7 type;   0 defn)
%            Number of atoms       :   50 (   3 equality;  12 variable)
%            Maximal formula depth :   11 (   4 average)
%            Number of connectives :   22 (   0   ~;   0   |;   0   &;  20   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +)
%            Number of symbols     :    9 (   7   :;   0  :=)
%            Number of variables   :    6 (   0 sgn;   6   !;   0   ?;   0   ^)
%                                         (   6   :;   0  :=;   0  !>;   0  ?*)

% Comments :
%------------------------------------------------------------------------------
thf(nat_type,type,(
    nat: $tType )).

thf(x,type,(
    x: nat )).

thf(y,type,(
    y: nat )).

thf(z,type,(
    z: nat )).

thf(u,type,(
    u: nat )).

thf(i,axiom,(
    x = y )).

thf(more,type,(
    more: nat > nat > $o )).

thf(m,axiom,
    ( more @ z @ u )).

thf(ts,type,(
    ts: nat > nat > nat )).

thf(satz32g,axiom,(
    ! [Xx: nat,Xy: nat,Xz: nat,Xu: nat] :
      ( ( Xx = Xy )
     => ( ( more @ Xz @ Xu )
       => ( more @ ( ts @ Xx @ Xz ) @ ( ts @ Xy @ Xu ) ) ) ) )).

thf(satz29,axiom,(
    ! [Xx: nat,Xy: nat] :
      ( ( ts @ Xx @ Xy )
      = ( ts @ Xy @ Xx ) ) )).

thf(satz32h,conjecture,
    ( more @ ( ts @ z @ x ) @ ( ts @ u @ y ) )).

%------------------------------------------------------------------------------
