%------------------------------------------------------------------------------
% File     : NUM775^1 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Number Theory
% Problem  : Landau theorem 73b
% Version  : Especial.
% English  : eq x y

% Refs     : [Lan30] Landau (1930), Grundlagen der Analysis
%          : [vBJ79] van Benthem Jutting (1979), Checking Landau's "Grundla
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : satz73b [Lan30]

% Status   : Theorem
%          : Without extensionality : Theorem
% Rating   : 0.33 v4.0.0, 0.00 v3.7.0
% Syntax   : Number of formulae    :   15 (   4 unit;   8 type;   0 defn)
%            Number of atoms       :   86 (   0 equality;  32 variable)
%            Maximal formula depth :   13 (   5 average)
%            Number of connectives :   63 (  11   ~;   0   |;   0   &;  42   @)
%                                         (   0 <=>;  10  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    8 (   8   >;   0   *;   0   +)
%            Number of symbols     :   10 (   8   :;   0  :=)
%            Number of variables   :   11 (   0 sgn;  11   !;   0   ?;   0   ^)
%                                         (  11   :;   0  :=;   0  !>;   0  ?*)

% Comments :
%------------------------------------------------------------------------------
thf(frac_type,type,(
    frac: $tType )).

thf(x,type,(
    x: frac )).

thf(y,type,(
    y: frac )).

thf(z,type,(
    z: frac )).

thf(eq,type,(
    eq: frac > frac > $o )).

thf(tf,type,(
    tf: frac > frac > frac )).

thf(e,axiom,
    ( eq @ ( tf @ x @ z ) @ ( tf @ y @ z ) )).

thf(et,axiom,(
    ! [Xa: $o] :
      ( ~ ( ~ ( Xa ) )
     => Xa ) )).

thf(lessf,type,(
    lessf: frac > frac > $o )).

thf(moref,type,(
    moref: frac > frac > $o )).

thf(satz41b,axiom,(
    ! [Xx: frac,Xy: frac] :
      ~ ( ( ( eq @ Xx @ Xy )
         => ~ ( moref @ Xx @ Xy ) )
       => ~ ( ~ ( ( ( moref @ Xx @ Xy )
                 => ~ ( lessf @ Xx @ Xy ) )
               => ~ ( ( lessf @ Xx @ Xy )
                   => ~ ( eq @ Xx @ Xy ) ) ) ) ) )).

thf(satz72c,axiom,(
    ! [Xx: frac,Xy: frac,Xz: frac] :
      ( ( lessf @ Xx @ Xy )
     => ( lessf @ ( tf @ Xx @ Xz ) @ ( tf @ Xy @ Xz ) ) ) )).

thf(satz41a,axiom,(
    ! [Xx: frac,Xy: frac] :
      ( ~ ( eq @ Xx @ Xy )
     => ( ~ ( moref @ Xx @ Xy )
       => ( lessf @ Xx @ Xy ) ) ) )).

thf(satz72a,axiom,(
    ! [Xx: frac,Xy: frac,Xz: frac] :
      ( ( moref @ Xx @ Xy )
     => ( moref @ ( tf @ Xx @ Xz ) @ ( tf @ Xy @ Xz ) ) ) )).

thf(satz73b,conjecture,
    ( eq @ x @ y )).

%------------------------------------------------------------------------------
