%------------------------------------------------------------------------------
% File     : NUM820^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Number Theory (Induction on naturals)
% Problem  : TPS problem from IND-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0882 [Bro09]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    5 (   1 unit;   3 type;   1 defn)
%            Number of atoms       :   48 (   1 equality;  18 variable)
%            Maximal formula depth :   12 (   6 average)
%            Number of connectives :   26 (   0   ~;   0   |;   3   &;  19   @)
%                                         (   0 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +)
%            Number of symbols     :    6 (   3   :;   0  :=)
%            Number of variables   :   10 (   0 sgn;   9   !;   1   ?;   0   ^)
%                                         (  10   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(c_plus,type,(
    c_plus: $i > $i > $i > $o )).

thf(cS,type,(
    cS: $i > $i )).

thf(c0,type,(
    c0: $i )).

thf(cIND,definition,
    ( cIND
    = ( ! [Xp: $i > $o] :
          ( ( ( Xp @ c0 )
            & ! [Xx: $i] :
                ( ( Xp @ Xx )
               => ( Xp @ ( cS @ Xx ) ) ) )
         => ! [Xx: $i] :
              ( Xp @ Xx ) ) ) )).

thf(cPRED_EX1,conjecture,
    ( ( cIND
      & ! [Xx: $i] :
          ( c_plus @ c0 @ Xx @ Xx )
      & ! [Xx: $i,Xy: $i,Xz: $i] :
          ( ( c_plus @ Xy @ Xx @ Xz )
         => ( c_plus @ ( cS @ Xy ) @ Xx @ ( cS @ Xz ) ) ) )
   => ! [Xy: $i,Xx: $i] :
      ? [Xz: $i] :
        ( c_plus @ Xy @ Xx @ Xz ) )).

%------------------------------------------------------------------------------
