%------------------------------------------------------------------------------
% File     : NUM827^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Number Theory (Induction on naturals)
% Problem  : TPS problem PA-THM2
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0375 [Bro09]
%          : PA-THM2 [TPS]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    8 (   2 unit;   4 type;   3 defn)
%            Number of atoms       :   69 (  10 equality;  22 variable)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   28 (   0   ~;   0   |;   3   &;  22   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +)
%            Number of symbols     :    8 (   4   :;   0  :=)
%            Number of variables   :    8 (   0 sgn;   8   !;   0   ?;   0   ^)
%                                         (   8   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(n_type,type,(
    n: $tType )).

thf(c0,type,(
    c0: n )).

thf(c_plus,type,(
    c_plus: n > n > n )).

thf(cS,type,(
    cS: n > n )).

thf(cPA_IND_EQ,definition,
    ( cPA_IND_EQ
    = ( ! [Xp: n > n,Xq: n > n] :
          ( ( ( ( Xp @ c0 )
              = ( Xq @ c0 ) )
            & ! [Xx: n] :
                ( ( ( Xp @ Xx )
                  = ( Xq @ Xx ) )
               => ( ( Xp @ ( cS @ Xx ) )
                  = ( Xq @ ( cS @ Xx ) ) ) ) )
         => ! [Xx: n] :
              ( ( Xp @ Xx )
              = ( Xq @ Xx ) ) ) ) )).

thf(cPA_2,definition,
    ( cPA_2
    = ( ! [Xx: n,Xy: n] :
          ( ( c_plus @ Xx @ ( cS @ Xy ) )
          = ( cS @ ( c_plus @ Xx @ Xy ) ) ) ) )).

thf(cPA_1,definition,
    ( cPA_1
    = ( ! [Xx: n] :
          ( ( c_plus @ Xx @ c0 )
          = Xx ) ) )).

thf(cPA_THM2,conjecture,
    ( ( cPA_1
      & cPA_2
      & cPA_IND_EQ )
   => ! [Xx: n] :
        ( ( c_plus @ Xx @ c0 )
        = ( c_plus @ c0 @ Xx ) ) )).

%------------------------------------------------------------------------------
