%------------------------------------------------------------------------------
% File     : SET063^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem BOOL-PROP-30
% Version  : Especial.
% English  : Trybulec's 30th Boolean property of sets

% Refs     : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
%          : [Bar92] Barker-Plummer D (1992), Gazing: An Approach to the Pr
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0076 [Bro09]
%          : BOOL-PROP-30 [TPS]
%          : 15 [Bar92]
%          : GAZING-THM15 [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   11 (   1 equality;   3 variable)
%            Maximal formula depth :    6 (   4 average)
%            Number of connectives :    3 (   0   ~;   0   |;   0   &;   1   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    1 (   1   >;   0   *;   0   +)
%            Number of symbols     :    4 (   1   :;   0  :=)
%            Number of variables   :    3 (   1 sgn;   2   !;   0   ?;   1   ^)
%                                         (   3   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cBOOL_PROP_30_pme,conjecture,(
    ! [X: a > $o] :
      ( ! [Xx: a] :
          ( ( X @ Xx )
         => $false )
     => ( X
        = ( ^ [Xx: a] : $false ) ) ) )).

%------------------------------------------------------------------------------
