%------------------------------------------------------------------------------
% File     : SET171^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem BOOL-PROP-71
% Version  : Especial.
% English  : Trybulec's 71st Boolean property of sets

% Refs     : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
%          : [Bar92] Barker-Plummer D (1992), Gazing: An Approach to the Pr
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0301 [Bro09]
%          : 30 [Bar92]
%          : GAZING-THM30 [TPS]
%          : BOOL-PROP-71 [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   24 (   1 equality;  14 variable)
%            Maximal formula depth :    9 (   6 average)
%            Number of connectives :   12 (   0   ~;   3   |;   2   &;   7   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +)
%            Number of symbols     :    3 (   1   :;   0  :=)
%            Number of variables   :    5 (   0 sgn;   3   !;   0   ?;   2   ^)
%                                         (   5   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cBOOL_PROP_71_pme,conjecture,(
    ! [X: a > $o,Y: a > $o,Z: a > $o] :
      ( ( ^ [Xz: a] :
            ( ( X @ Xz )
            | ( ( Y @ Xz )
              & ( Z @ Xz ) ) ) )
      = ( ^ [Xx: a] :
            ( ( ( X @ Xx )
              | ( Y @ Xx ) )
            & ( ( X @ Xx )
              | ( Z @ Xx ) ) ) ) ) )).

%------------------------------------------------------------------------------
