%------------------------------------------------------------------------------
% File     : SET596^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem BOOL-PROP-55
% Version  : Especial.
% English  : Trybulec's 55th Boolean property of sets

% Refs     : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0316 [Bro09]
%          : BOOL-PROP-55 [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   28 (   2 equality;  12 variable)
%            Maximal formula depth :   10 (   6 average)
%            Number of connectives :   11 (   0   ~;   0   |;   3   &;   6   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +)
%            Number of symbols     :    4 (   1   :;   0  :=)
%            Number of variables   :    8 (   2 sgn;   4   !;   0   ?;   4   ^)
%                                         (   8   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cBOOL_PROP_55_pme,conjecture,(
    ! [X: a > $o,Y: a > $o,Z: a > $o] :
      ( ( ! [Xx: a] :
            ( ( X @ Xx )
           => ( Y @ Xx ) )
        & ( ( ^ [Xx: a] :
                ( ( Y @ Xx )
                & ( Z @ Xx ) ) )
          = ( ^ [Xx: a] : $false ) ) )
     => ( ( ^ [Xx: a] :
              ( ( X @ Xx )
              & ( Z @ Xx ) ) )
        = ( ^ [Xx: a] : $false ) ) ) )).

%------------------------------------------------------------------------------
