%------------------------------------------------------------------------------
% File     : SET601^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem BOOL-PROP-72
% Version  : Especial.
% English  : Trybulec's 72nd Boolean property of sets

% Refs     : [TS89]  Trybulec & Swieczkowska (1989), Boolean Properties of
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0433 [Bro09]
%          : BOOL-PROP-72 [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   34 (   1 equality;  24 variable)
%            Maximal formula depth :   10 (   6 average)
%            Number of connectives :   22 (   0   ~;   5   |;   5   &;  12   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +)
%            Number of symbols     :    3 (   1   :;   0  :=)
%            Number of variables   :    5 (   0 sgn;   3   !;   0   ?;   2   ^)
%                                         (   5   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cBOOL_PROP_72_pme,conjecture,(
    ! [X: a > $o,Y: a > $o,Z: a > $o] :
      ( ( ^ [Xz: a] :
            ( ( ( X @ Xz )
              & ( Y @ Xz ) )
            | ( ( Y @ Xz )
              & ( Z @ Xz ) )
            | ( ( Z @ Xz )
              & ( X @ Xz ) ) ) )
      = ( ^ [Xx: a] :
            ( ( ( X @ Xx )
              | ( Y @ Xx ) )
            & ( ( Y @ Xx )
              | ( Z @ Xx ) )
            & ( ( Z @ Xx )
              | ( X @ Xx ) ) ) ) ) )).

%------------------------------------------------------------------------------
