%------------------------------------------------------------------------------
% File     : SET673^3 : TPTP v4.0.0. Released v3.6.0.
% Domain   : Set Theory
% Problem  : Y a subset of Y1 => Y1 restricted to R (X to Y) is R
% Version  : [BS+08] axioms.
% English  : If Y is a subset of Y1 then Y1 restricted to a relation R from
%            X to Y is R.

% Refs     : [BS+05] Benzmueller et al. (2005), Can a Higher-Order and a Fi
%          : [BS+08] Benzmueller et al. (2008), Combined Reasoning by Autom
%          : [Ben08] Benzmueller (2008), Email to Geoff Sutcliffe
% Source   : [Ben08]
% Names    :

% Status   : Theorem
% Rating   : 0.33 v3.7.0
% Syntax   : Number of formulae    :   71 (   0 unit;  35 type;  35 defn)
%            Number of atoms       :  612 (  44 equality; 159 variable)
%            Maximal formula depth :   12 (   6 average)
%            Number of connectives :  133 (   8   ~;   5   |;  19   &;  90   @)
%                                         (   1 <=>;  10  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  217 ( 217   >;   0   *;   0   +)
%            Number of symbols     :   38 (  35   :;   0  :=)
%            Number of variables   :  111 (   1 sgn;  23   !;   8   ?;  80   ^)
%                                         ( 111   :;   0  :=;   0  !>;   0  ?*)

% Comments :
%------------------------------------------------------------------------------
%----Include basic set theory definitions
include('Axioms/SET008^0.ax').
%----Include definitions for relations
include('Axioms/SET008^2.ax').
%------------------------------------------------------------------------------
thf(thm,conjecture,(
    ! [Z: $i > $o,R: $i > $i > $o,X: $i > $o,Y: $i > $o] :
      ( ( ( is_rel_on @ R @ X @ Y )
        & ( subset @ Y @ Z ) )
     => ( ( restrict_rel_codomain @ R @ Z )
        = R ) ) )).

%------------------------------------------------------------------------------
