%------------------------------------------------------------------------------
% File     : SEU685^2 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Set Theory
% Problem  : Functions - Extensionality and Beta Reduction
% Version  : Especial > Reduced > Especial.
% English  : (! A:i.! B:i.! f:i.in f (funcSet A B) -> (! x:i.in x A ->
%            in (kpair x (ap A B f x)) f))

% Refs     : [Bro08] Brown (2008), Email to G. Sutcliffe
% Source   : [Bro08]
% Names    : ZFC187l [Bro08]

% Status   : Theorem
% Rating   : 0.33 v4.0.0, 0.67 v3.7.0
% Syntax   : Number of formulae    :   22 (   3 unit;  15 type;   6 defn)
%            Number of atoms       :  157 (   7 equality;  47 variable)
%            Maximal formula depth :   16 (   6 average)
%            Number of connectives :   67 (   0   ~;   0   |;   2   &;  57   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   30 (  30   >;   0   *;   0   +)
%            Number of symbols     :   17 (  15   :;   0  :=)
%            Number of variables   :   24 (   0 sgn;  12   !;   1   ?;  11   ^)
%                                         (  24   :;   0  :=;   0  !>;   0  ?*)

% Comments : http://mathgate.info/detsetitem.php?id=412
%          : THF0 syntax
%------------------------------------------------------------------------------
thf(in,type,(
    in: $i > $i > $o )).

thf(emptyset,type,(
    emptyset: $i )).

thf(setadjoin,type,(
    setadjoin: $i > $i > $i )).

thf(dsetconstr,type,(
    dsetconstr: $i > ( $i > $o ) > $i )).

thf(subset,type,(
    subset: $i > $i > $o )).

thf(kpair,type,(
    kpair: $i > $i > $i )).

thf(cartprod,type,(
    cartprod: $i > $i > $i )).

thf(singleton,type,(
    singleton: $i > $o )).

thf(singleton,definition,
    ( singleton
    = ( ^ [A: $i] :
        ? [Xx: $i] :
          ( ( in @ Xx @ A )
          & ( A
            = ( setadjoin @ Xx @ emptyset ) ) ) ) )).

thf(ex1,type,(
    ex1: $i > ( $i > $o ) > $o )).

thf(ex1,definition,
    ( ex1
    = ( ^ [A: $i,Xphi: $i > $o] :
          ( singleton
          @ ( dsetconstr @ A
            @ ^ [Xx: $i] :
                ( Xphi @ Xx ) ) ) ) )).

thf(breln,type,(
    breln: $i > $i > $i > $o )).

thf(breln,definition,
    ( breln
    = ( ^ [A: $i,B: $i,C: $i] :
          ( subset @ C @ ( cartprod @ A @ B ) ) ) )).

thf(func,type,(
    func: $i > $i > $i > $o )).

thf(func,definition,
    ( func
    = ( ^ [A: $i,B: $i,R: $i] :
          ( ( breln @ A @ B @ R )
          & ! [Xx: $i] :
              ( ( in @ Xx @ A )
             => ( ex1 @ B
                @ ^ [Xy: $i] :
                    ( in @ ( kpair @ Xx @ Xy ) @ R ) ) ) ) ) )).

thf(funcSet,type,(
    funcSet: $i > $i > $i )).

thf(ap,type,(
    ap: $i > $i > $i > $i > $i )).

thf(infuncsetfunc,type,(
    infuncsetfunc: $o )).

thf(infuncsetfunc,definition,
    ( infuncsetfunc
    = ( ! [A: $i,B: $i,Xf: $i] :
          ( ( in @ Xf @ ( funcSet @ A @ B ) )
         => ( func @ A @ B @ Xf ) ) ) )).

thf(funcGraphProp1,type,(
    funcGraphProp1: $o )).

thf(funcGraphProp1,definition,
    ( funcGraphProp1
    = ( ! [A: $i,B: $i,Xf: $i] :
          ( ( func @ A @ B @ Xf )
         => ! [Xx: $i] :
              ( ( in @ Xx @ A )
             => ( in @ ( kpair @ Xx @ ( ap @ A @ B @ Xf @ Xx ) ) @ Xf ) ) ) ) )).

thf(funcGraphProp3,conjecture,
    ( infuncsetfunc
   => ( funcGraphProp1
     => ! [A: $i,B: $i,Xf: $i] :
          ( ( in @ Xf @ ( funcSet @ A @ B ) )
         => ! [Xx: $i] :
              ( ( in @ Xx @ A )
             => ( in @ ( kpair @ Xx @ ( ap @ A @ B @ Xf @ Xx ) ) @ Xf ) ) ) ) )).

%------------------------------------------------------------------------------
