%------------------------------------------------------------------------------
% File     : SEU775^2 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Set Theory
% Problem  : Binary Relations on a Set
% Version  : Especial > Reduced > Especial.
% English  : (! A:i.! R:i.breln1 A R -> breln1 A (breln1invset A R))

% Refs     : [Bro08] Brown (2008), Email to G. Sutcliffe
% Source   : [Bro08]
% Names    : ZFC277l [Bro08]

% Status   : Theorem
% Rating   : 0.33 v4.0.0, 0.67 v3.7.0
% Syntax   : Number of formulae    :   14 (   1 unit;   9 type;   4 defn)
%            Number of atoms       :   88 (   4 equality;  22 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :   29 (   0   ~;   0   |;   0   &;  27   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   22 (  22   >;   0   *;   0   +)
%            Number of symbols     :   11 (   9   :;   0  :=)
%            Number of variables   :   15 (   0 sgn;   4   !;   0   ?;  11   ^)
%                                         (  15   :;   0  :=;   0  !>;   0  ?*)

% Comments : http://mathgate.info/detsetitem.php?id=335
%          : THF0 syntax
%------------------------------------------------------------------------------
thf(in,type,(
    in: $i > $i > $o )).

thf(subset,type,(
    subset: $i > $i > $o )).

thf(kpair,type,(
    kpair: $i > $i > $i )).

thf(cartprod,type,(
    cartprod: $i > $i > $i )).

thf(breln,type,(
    breln: $i > $i > $i > $o )).

thf(breln,definition,
    ( breln
    = ( ^ [A: $i,B: $i,C: $i] :
          ( subset @ C @ ( cartprod @ A @ B ) ) ) )).

thf(dpsetconstr,type,(
    dpsetconstr: $i > $i > ( $i > $i > $o ) > $i )).

thf(breln1,type,(
    breln1: $i > $i > $o )).

thf(breln1,definition,
    ( breln1
    = ( ^ [A: $i,R: $i] :
          ( breln @ A @ A @ R ) ) )).

thf(setOfPairsIsBReln1,type,(
    setOfPairsIsBReln1: $o )).

thf(setOfPairsIsBReln1,definition,
    ( setOfPairsIsBReln1
    = ( ! [A: $i,Xphi: $i > $i > $o] :
          ( breln1 @ A
          @ ( dpsetconstr @ A @ A
            @ ^ [Xx: $i,Xy: $i] :
                ( Xphi @ Xx @ Xy ) ) ) ) )).

thf(breln1invset,type,(
    breln1invset: $i > $i > $i )).

thf(breln1invset,definition,
    ( breln1invset
    = ( ^ [A: $i,R: $i] :
          ( dpsetconstr @ A @ A
          @ ^ [Xx: $i,Xy: $i] :
              ( in @ ( kpair @ Xy @ Xx ) @ R ) ) ) )).

thf(breln1invprop,conjecture,
    ( setOfPairsIsBReln1
   => ! [A: $i,R: $i] :
        ( ( breln1 @ A @ R )
       => ( breln1 @ A @ ( breln1invset @ A @ R ) ) ) )).

%------------------------------------------------------------------------------
