%------------------------------------------------------------------------------
% File     : SEU777^2 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Set Theory
% Problem  : Binary Relations on a Set
% Version  : Especial > Reduced > Especial.
% English  : (! A:i.! R:i.breln1 A R -> (! x:i.in x A -> (! y:i.in y A ->
%            in (kpair y x) (breln1invset A R) -> in (kpair x y) R)))

% Refs     : [Bro08] Brown (2008), Email to G. Sutcliffe
% Source   : [Bro08]
% Names    : ZFC279l [Bro08]

% Status   : Theorem
% Rating   : 0.33 v4.0.0, 0.67 v3.7.0
% Syntax   : Number of formulae    :   14 (   1 unit;   9 type;   4 defn)
%            Number of atoms       :  111 (   4 equality;  34 variable)
%            Maximal formula depth :   14 (   7 average)
%            Number of connectives :   47 (   0   ~;   0   |;   0   &;  41   @)
%                                         (   0 <=>;   6  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   22 (  22   >;   0   *;   0   +)
%            Number of symbols     :   11 (   9   :;   0  :=)
%            Number of variables   :   20 (   0 sgn;   9   !;   0   ?;  11   ^)
%                                         (  20   :;   0  :=;   0  !>;   0  ?*)

% Comments : http://mathgate.info/detsetitem.php?id=342
%          : THF0 syntax
%------------------------------------------------------------------------------
thf(in,type,(
    in: $i > $i > $o )).

thf(subset,type,(
    subset: $i > $i > $o )).

thf(kpair,type,(
    kpair: $i > $i > $i )).

thf(cartprod,type,(
    cartprod: $i > $i > $i )).

thf(breln,type,(
    breln: $i > $i > $i > $o )).

thf(breln,definition,
    ( breln
    = ( ^ [A: $i,B: $i,C: $i] :
          ( subset @ C @ ( cartprod @ A @ B ) ) ) )).

thf(dpsetconstr,type,(
    dpsetconstr: $i > $i > ( $i > $i > $o ) > $i )).

thf(dpsetconstrER,type,(
    dpsetconstrER: $o )).

thf(dpsetconstrER,definition,
    ( dpsetconstrER
    = ( ! [A: $i,B: $i,Xphi: $i > $i > $o,Xx: $i,Xy: $i] :
          ( ( in @ ( kpair @ Xx @ Xy )
            @ ( dpsetconstr @ A @ B
              @ ^ [Xz: $i,Xu: $i] :
                  ( Xphi @ Xz @ Xu ) ) )
         => ( Xphi @ Xx @ Xy ) ) ) )).

thf(breln1,type,(
    breln1: $i > $i > $o )).

thf(breln1,definition,
    ( breln1
    = ( ^ [A: $i,R: $i] :
          ( breln @ A @ A @ R ) ) )).

thf(breln1invset,type,(
    breln1invset: $i > $i > $i )).

thf(breln1invset,definition,
    ( breln1invset
    = ( ^ [A: $i,R: $i] :
          ( dpsetconstr @ A @ A
          @ ^ [Xx: $i,Xy: $i] :
              ( in @ ( kpair @ Xy @ Xx ) @ R ) ) ) )).

thf(breln1invE,conjecture,
    ( dpsetconstrER
   => ! [A: $i,R: $i] :
        ( ( breln1 @ A @ R )
       => ! [Xx: $i] :
            ( ( in @ Xx @ A )
           => ! [Xy: $i] :
                ( ( in @ Xy @ A )
               => ( ( in @ ( kpair @ Xy @ Xx ) @ ( breln1invset @ A @ R ) )
                 => ( in @ ( kpair @ Xx @ Xy ) @ R ) ) ) ) ) )).

%------------------------------------------------------------------------------
