%------------------------------------------------------------------------------
% File     : SEU827^1 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Set Theory
% Problem  : About sets 2
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 22b [BB05]

% Status   : Theorem
%          : Without Boolean extensionality : CounterSatisfiable
%          : Without xi extensionality : CounterSatisfiable
% Rating   : 0.67 v4.0.0, 0.33 v3.7.0
% Syntax   : Number of formulae    :   10 (   0 unit;   6 type;   3 defn)
%            Number of atoms       :   71 (   3 equality;  12 variable)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :   21 (   0   ~;   1   |;   1   &;  18   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   25 (  25   >;   0   *;   0   +)
%            Number of symbols     :    8 (   6   :;   0  :=)
%            Number of variables   :    9 (   0 sgn;   1   !;   0   ?;   8   ^)
%                                         (   9   :;   0  :=;   0  !>;   0  ?*)

% Comments : THF0 syntax
%------------------------------------------------------------------------------
thf(leibeq,type,(
    leibeq: ( $i > $o ) > ( $i > $o ) > $o )).

thf(leibeq,definition,
    ( leibeq
    = ( ^ [X: $i > $o,Y: $i > $o] :
        ! [P: ( $i > $o ) > $o] :
          ( ( P @ X )
         => ( P @ Y ) ) ) )).

thf(u,type,(
    u: ( $i > $o ) > ( $i > $o ) > $i > $o )).

thf(u,definition,
    ( u
    = ( ^ [X: $i > $o,Y: $i > $o,U: $i] :
          ( ( X @ U )
          | ( Y @ U ) ) ) )).

thf(n,type,(
    n: ( $i > $o ) > ( $i > $o ) > $i > $o )).

thf(n,definition,
    ( n
    = ( ^ [X: $i > $o,Y: $i > $o,U: $i] :
          ( ( X @ U )
          & ( Y @ U ) ) ) )).

thf(a,type,(
    a: $i > $o )).

thf(b,type,(
    b: $i > $o )).

thf(c,type,(
    c: $i > $o )).

thf(conj,conjecture,
    ( leibeq @ ( u @ a @ ( n @ b @ c ) ) @ ( n @ ( u @ a @ b ) @ ( u @ a @ c ) ) )).

%------------------------------------------------------------------------------
