%------------------------------------------------------------------------------
% File     : SEU828^1 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Set Theory
% Problem  : About powersets 1
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 22c [BB05]

% Status   : Theorem
% Rating   : 0.33 v3.7.0
% Syntax   : Number of formulae    :    9 (   0 unit;   4 type;   4 defn)
%            Number of atoms       :   65 (   5 equality;  11 variable)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :   11 (   0   ~;   0   |;   0   &;   9   @)
%                                         (   1 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   25 (  25   >;   0   *;   0   +)
%            Number of symbols     :    7 (   4   :;   0  :=)
%            Number of variables   :   10 (   1 sgn;   2   !;   0   ?;   8   ^)
%                                         (  10   :;   0  :=;   0  !>;   0  ?*)

% Comments : THF0 syntax
%------------------------------------------------------------------------------
thf(seteq,type,(
    seteq: ( ( $i > $o ) > $o ) > ( ( $i > $o ) > $o ) > $o )).

thf(seteq,definition,
    ( seteq
    = ( ^ [X: ( $i > $o ) > $o,Y: ( $i > $o ) > $o] :
        ! [U: $i > $o] :
          ( ( X @ U )
        <=> ( Y @ U ) ) ) )).

thf(subseteq,type,(
    subseteq: ( $i > $o ) > ( $i > $o ) > $o )).

thf(subseteq,definition,
    ( subseteq
    = ( ^ [X: $i > $o,Y: $i > $o] :
        ! [U: $i] :
          ( ( X @ U )
         => ( Y @ U ) ) ) )).

thf(powerset,type,(
    powerset: ( $i > $o ) > ( $i > $o ) > $o )).

thf(poserset,definition,
    ( powerset
    = ( ^ [X: $i > $o,Y: $i > $o] :
          ( subseteq @ Y @ X ) ) )).

thf(emptyset,type,(
    emptyset: $i > $o )).

thf(emptyset,definition,
    ( emptyset
    = ( ^ [X: $i] : $false ) )).

thf(conj,conjecture,
    ( seteq @ ( powerset @ emptyset )
    @ ^ [X: $i > $o] : ( X = emptyset ) )).

%------------------------------------------------------------------------------
