%------------------------------------------------------------------------------
% File     : SEU851^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem GAZING-THM42
% Version  : Especial.
% English  :

% Refs     : [Bar92] Barker-Plummer D (1992), Gazing: An Approach to the Pr
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0390 [Bro09]
%          : 42 [Bar92]
%          : GAZING-THM42 [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   24 (   1 equality;  16 variable)
%            Maximal formula depth :    9 (   6 average)
%            Number of connectives :   18 (   4   ~;   2   |;   4   &;   8   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +)
%            Number of symbols     :    3 (   1   :;   0  :=)
%            Number of variables   :    4 (   0 sgn;   2   !;   0   ?;   2   ^)
%                                         (   4   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cGAZING_THM42_pme,conjecture,(
    ! [S: a > $o,T: a > $o] :
      ( ( ^ [Xz: a] :
            ( ( ( S @ Xz )
              & ~ ( T @ Xz ) )
            | ( ( T @ Xz )
              & ~ ( S @ Xz ) ) ) )
      = ( ^ [Xz: a] :
            ( ( ( T @ Xz )
              & ~ ( S @ Xz ) )
            | ( ( S @ Xz )
              & ~ ( T @ Xz ) ) ) ) ) )).

%------------------------------------------------------------------------------
