%------------------------------------------------------------------------------
% File     : SEU931^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem THM171
% Version  : Especial.
% English  : If g commutes with f, and g has a unique fixed point, then f has
%            a fixed point.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0259 [Bro09]
%          : THM171 [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   31 (   5 equality;  10 variable)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   11 (   0   ~;   0   |;   1   &;   7   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +)
%            Number of symbols     :    3 (   2   :;   0  :=)
%            Number of variables   :    5 (   0 sgn;   1   !;   2   ?;   2   ^)
%                                         (   5   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(f,type,(
    f: $i > $i )).

thf(g,type,(
    g: $i > $i )).

thf(cTHM171_pme,conjecture,
    ( ( ( ^ [Xx: $i] :
            ( f @ ( g @ Xx ) ) )
      = ( ^ [Xx: $i] :
            ( g @ ( f @ Xx ) ) ) )
   => ( ? [Xx: $i] :
          ( ( ( g @ Xx )
            = Xx )
          & ! [Xz: $i] :
              ( ( ( g @ Xz )
                = Xz )
             => ( Xz = Xx ) ) )
     => ? [Xy: $i] :
          ( ( f @ Xy )
          = Xy ) ) )).

%------------------------------------------------------------------------------
