%------------------------------------------------------------------------------
% File     : SEU947^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem THM15B-V2
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0546 [Bro09]
%          : THM15B-V2 [TPS]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   0 type;   2 defn)
%            Number of atoms       :   52 (   4 equality;  23 variable)
%            Maximal formula depth :   14 (  10 average)
%            Number of connectives :   22 (   0   ~;   0   |;   3   &;  15   @)
%                                         (   0 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    7 (   7   >;   0   *;   0   +)
%            Number of symbols     :    4 (   0   :;   0  :=)
%            Number of variables   :   12 (   0 sgn;   4   !;   3   ?;   5   ^)
%                                         (  12   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(cFIXPOINT,definition,
    ( cFIXPOINT
    = ( ^ [Xg: $i > $i,Xx: $i] :
          ( ( Xg @ Xx )
          = Xx ) ) )).

thf(cUNIQUE_FIXPOINT,definition,
    ( cUNIQUE_FIXPOINT
    = ( ^ [Xg: $i > $i,Xx: $i] :
          ( ( cFIXPOINT @ Xg @ Xx )
          & ! [Xz: $i] :
              ( ( cFIXPOINT @ Xg @ Xz )
             => ( Xx = Xz ) ) ) ) )).

thf(cTHM15B_V2_pme,conjecture,(
    ! [Xf: $i > $i] :
      ( ? [Xg: $i > $i] :
          ( ! [Xp: ( $i > $i ) > $o] :
              ( ( ( Xp @ Xf )
                & ! [Xj: $i > $i] :
                    ( ( Xp @ Xj )
                   => ( Xp
                      @ ^ [Xx: $i] :
                          ( Xf @ ( Xj @ Xx ) ) ) ) )
             => ( Xp @ Xg ) )
          & ? [Xx: $i] :
              ( cUNIQUE_FIXPOINT @ Xg @ Xx ) )
     => ? [Xy: $i] :
          ( cFIXPOINT @ Xf @ Xy ) ) )).

%------------------------------------------------------------------------------
