%------------------------------------------------------------------------------
% File     : SEU949^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem THM589
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0565 [Bro09]
%          : THM589 [TPS]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   28 (   3 equality;   6 variable)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :    8 (   0   ~;   0   |;   0   &;   6   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    7 (   7   >;   0   *;   0   +)
%            Number of symbols     :    4 (   2   :;   0  :=)
%            Number of variables   :    4 (   0 sgn;   2   !;   1   ?;   1   ^)
%                                         (   4   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(f,type,(
    f: $i > $i > $o )).

thf(g,type,(
    g: $i > $i > $o )).

thf(cTHM589_pme,conjecture,
    ( ! [Xx: $i,Xy: $i] :
        ( ( ( g @ Xx )
          = ( g @ Xy ) )
       => ( ( f @ Xx )
          = ( f @ Xy ) ) )
   => ? [Xh: ( $i > $o ) > $i > $o] :
        ( ( ^ [Xx: $i] :
              ( Xh @ ( g @ Xx ) ) )
        = f ) )).

%------------------------------------------------------------------------------
