%------------------------------------------------------------------------------
% File     : SEV008^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem THM261
% Version  : Especial.
% English  : A partition defines an equivalence relation.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0491 [Bro09]
%          : THM261 [TPS]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   81 (   1 equality;  50 variable)
%            Maximal formula depth :   14 (   8 average)
%            Number of connectives :   48 (   0   ~;   0   |;  19   &;  24   @)
%                                         (   0 <=>;   5  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   11 (  11   >;   0   *;   0   +)
%            Number of symbols     :    3 (   1   :;   0  :=)
%            Number of variables   :   18 (   0 sgn;  10   !;   8   ?;   0   ^)
%                                         (  18   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM261_pme,conjecture,(
    ! [P: ( a > $o ) > $o] :
      ( ( ! [Xp: a > $o] :
            ( ( P @ Xp )
           => ? [Xz: a] :
                ( Xp @ Xz ) )
        & ! [Xx: a] :
          ? [Xp: a > $o] :
            ( ( P @ Xp )
            & ( Xp @ Xx )
            & ! [Xq: a > $o] :
                ( ( ( P @ Xq )
                  & ( Xq @ Xx ) )
               => ( Xq = Xp ) ) ) )
     => ( ! [Xx: a] :
          ? [S: a > $o] :
            ( ( P @ S )
            & ( S @ Xx )
            & ( S @ Xx ) )
        & ! [Xx: a,Xy: a] :
            ( ? [S: a > $o] :
                ( ( P @ S )
                & ( S @ Xx )
                & ( S @ Xy ) )
           => ? [S: a > $o] :
                ( ( P @ S )
                & ( S @ Xy )
                & ( S @ Xx ) ) )
        & ! [Xx: a,Xy: a,Xz: a] :
            ( ( ? [S: a > $o] :
                  ( ( P @ S )
                  & ( S @ Xx )
                  & ( S @ Xy ) )
              & ? [S: a > $o] :
                  ( ( P @ S )
                  & ( S @ Xy )
                  & ( S @ Xz ) ) )
           => ? [S: a > $o] :
                ( ( P @ S )
                & ( S @ Xx )
                & ( S @ Xz ) ) ) ) ) )).

%------------------------------------------------------------------------------
