%------------------------------------------------------------------------------
% File     : SEV031^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem from EQUIVALENCE-RELATIONS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1127 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    3 (   2 unit;   2 type;   0 defn)
%            Number of atoms       :  103 (   0 equality;  62 variable)
%            Maximal formula depth :   16 (   7 average)
%            Number of connectives :   61 (   0   ~;   0   |;   6   &;  43   @)
%                                         (   0 <=>;  12  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   18 (  18   >;   0   *;   0   +)
%            Number of symbols     :    4 (   2   :;   0  :=)
%            Number of variables   :   21 (   0 sgn;  21   !;   0   ?;   0   ^)
%                                         (  21   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(b_type,type,(
    b: $tType )).

thf(cTHM512_pme,conjecture,(
    ! [Xp: a > $o,Xe: a > ( a > b ) > ( a > b ) > $o] :
      ( ! [Xx: a] :
          ( ( Xp @ Xx )
         => ( ! [Xx0: a > b] :
                ( Xe @ Xx @ Xx0 @ Xx0 )
            & ! [Xx0: a > b,Xy: a > b] :
                ( ( Xe @ Xx @ Xx0 @ Xy )
               => ( Xe @ Xx @ Xy @ Xx0 ) )
            & ! [Xx0: a > b,Xy: a > b,Xz: a > b] :
                ( ( ( Xe @ Xx @ Xx0 @ Xy )
                  & ( Xe @ Xx @ Xy @ Xz ) )
               => ( Xe @ Xx @ Xx0 @ Xz ) ) ) )
     => ( ! [Xx: a > b,Xx0: a] :
            ( ( Xp @ Xx0 )
           => ( Xe @ Xx0 @ Xx @ Xx ) )
        & ! [Xx: a > b,Xy: a > b] :
            ( ! [Xx0: a] :
                ( ( Xp @ Xx0 )
               => ( Xe @ Xx0 @ Xx @ Xy ) )
           => ! [Xx0: a] :
                ( ( Xp @ Xx0 )
               => ( Xe @ Xx0 @ Xy @ Xx ) ) )
        & ! [Xx: a > b,Xy: a > b,Xz: a > b] :
            ( ( ! [Xx0: a] :
                  ( ( Xp @ Xx0 )
                 => ( Xe @ Xx0 @ Xx @ Xy ) )
              & ! [Xx0: a] :
                  ( ( Xp @ Xx0 )
                 => ( Xe @ Xx0 @ Xy @ Xz ) ) )
           => ! [Xx0: a] :
                ( ( Xp @ Xx0 )
               => ( Xe @ Xx0 @ Xx @ Xz ) ) ) ) ) )).

%------------------------------------------------------------------------------
