%------------------------------------------------------------------------------
% File     : SEV049^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem THM120A
% Version  : Especial.
% English  : Variant of THM120 designed to eliminate trivial proof. Subset is 
%            one such relation.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0137 [Bro09]
%          : THM120A [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   25 (   0 equality;  10 variable)
%            Maximal formula depth :   10 (  10 average)
%            Number of connectives :   12 (   1   ~;   0   |;   2   &;   8   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    7 (   7   >;   0   *;   0   +)
%            Number of symbols     :    4 (   0   :;   0  :=)
%            Number of variables   :    6 (   2 sgn;   3   !;   1   ?;   2   ^)
%                                         (   6   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(cTHM120A_pme,conjecture,(
    ? [R: ( $i > $o ) > ( $i > $o ) > $o] :
      ( ~ ( R
          @ ^ [Xx: $i] : $true
          @ ^ [Xx: $i] : $false )
      & ! [Xx: $i > $o,Xy: $i > $o,Xz: $i > $o] :
          ( ( ( R @ Xx @ Xy )
            & ( R @ Xy @ Xz ) )
         => ( R @ Xx @ Xz ) ) ) )).

%------------------------------------------------------------------------------
