%------------------------------------------------------------------------------
% File     : SEV059^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem THM89A
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0326 [Bro09]
%          : THM89 [TPS]
%          : THM89A [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    7 (   2 unit;   6 type;   0 defn)
%            Number of atoms       :   43 (   1 equality;  11 variable)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :   23 (   0   ~;   0   |;   3   &;  18   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +)
%            Number of symbols     :    8 (   6   :;   0  :=)
%            Number of variables   :    6 (   0 sgn;   5   !;   0   ?;   1   ^)
%                                         (   6   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(b_type,type,(
    b: $tType )).

thf(a_type,type,(
    a: $tType )).

thf(cG,type,(
    cG: b > b )).

thf(cA,type,(
    cA: b > a )).

thf(c_less_,type,(
    c_less_: a > a > $o )).

thf(cF,type,(
    cF: b > b )).

thf(cTHM89A_pme,conjecture,
    ( ( ! [Xx: a,Xy: a,Xz: a] :
          ( ( ( c_less_ @ Xx @ Xy )
            & ( c_less_ @ Xy @ Xz ) )
         => ( c_less_ @ Xx @ Xz ) )
      & ! [X: b] :
          ( c_less_ @ ( cA @ X ) @ ( cA @ ( cF @ X ) ) )
      & ( cG
        = ( ^ [Z: b] :
              ( cF @ ( cF @ Z ) ) ) ) )
   => ! [Y: b] :
        ( c_less_ @ ( cA @ Y ) @ ( cA @ ( cG @ Y ) ) ) )).

%------------------------------------------------------------------------------
