%------------------------------------------------------------------------------
% File     : SEV067^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem THM553
% Version  : Especial.
% English  : Downward closed subsets of a linear order are comparable.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0441 [Bro09]
%          : THM553 [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    5 (   1 unit;   4 type;   0 defn)
%            Number of atoms       :   71 (   1 equality;  30 variable)
%            Maximal formula depth :   13 (   5 average)
%            Number of connectives :   46 (   0   ~;   2   |;   9   &;  28   @)
%                                         (   0 <=>;   7  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +)
%            Number of symbols     :    6 (   4   :;   0  :=)
%            Number of variables   :   14 (   0 sgn;  14   !;   0   ?;   0   ^)
%                                         (  14   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cS,type,(
    cS: a > $o )).

thf(cT,type,(
    cT: a > $o )).

thf(cR,type,(
    cR: a > a > $o )).

thf(cTHM553_pme,conjecture,
    ( ( ! [Xx: a,Xy: a,Xz: a] :
          ( ( ( cR @ Xx @ Xy )
            & ( cR @ Xy @ Xz ) )
         => ( cR @ Xx @ Xz ) )
      & ! [Xx: a] :
          ( cR @ Xx @ Xx )
      & ! [Xx: a,Xy: a] :
          ( ( ( cR @ Xx @ Xy )
            & ( cR @ Xy @ Xx ) )
         => ( Xx = Xy ) )
      & ! [Xx: a,Xy: a] :
          ( ( cR @ Xx @ Xy )
          | ( cR @ Xy @ Xx ) )
      & ! [Xu: a,Xv: a] :
          ( ( ( cR @ Xu @ Xv )
            & ( cS @ Xv ) )
         => ( cS @ Xu ) )
      & ! [Xu: a,Xv: a] :
          ( ( ( cR @ Xu @ Xv )
            & ( cT @ Xv ) )
         => ( cT @ Xu ) ) )
   => ( ! [Xx: a] :
          ( ( cS @ Xx )
         => ( cT @ Xx ) )
      | ! [Xx: a] :
          ( ( cT @ Xx )
         => ( cS @ Xx ) ) ) )).

%------------------------------------------------------------------------------
