%------------------------------------------------------------------------------
% File     : SEV107^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem from RELN-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1162 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    6 (   2 unit;   5 type;   0 defn)
%            Number of atoms       :  106 (   0 equality;  44 variable)
%            Maximal formula depth :   16 (   5 average)
%            Number of connectives :   75 (   4   ~;   4   |;  13   &;  48   @)
%                                         (   0 <=>;   6  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +)
%            Number of symbols     :    8 (   5   :;   0  :=)
%            Number of variables   :   23 (   0 sgn;  20   !;   3   ?;   0   ^)
%                                         (  23   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(z,type,(
    z: a )).

thf(cR,type,(
    cR: a > a > $o )).

thf(f,type,(
    f: a > $i > $o )).

thf(cS,type,(
    cS: $i > $i > $o )).

thf(cTHM552B_pme,conjecture,
    ( ( ! [Xu: a,Xv: a,Xw: a] :
          ( ( ( cR @ Xu @ Xv )
            & ( cR @ Xw @ Xv ) )
         => ( cR @ Xu @ Xw ) )
      & ! [Xx: a] :
          ( cR @ Xx @ Xx ) )
   => ( ( ! [Xx: a] :
          ? [Xy: $i] :
            ( f @ Xx @ Xy )
        & ! [Xx: a,Xy1: $i,Xy2: $i] :
            ( ( ( f @ Xx @ Xy1 )
              & ( f @ Xx @ Xy2 ) )
           => ( cS @ Xy1 @ Xy2 ) )
        & ! [Xx1: a,Xx2: a,Xy: $i] :
            ( ( ( f @ Xx1 @ Xy )
              & ( f @ Xx2 @ Xy ) )
           => ( cR @ Xx1 @ Xx2 ) ) )
     => ( ! [Xx: a] :
          ? [Xy: $i] :
          ! [Xw: a] :
            ( ( f @ Xx @ Xy )
            | ( ~ ( f @ Xw @ Xy )
              & ( cR @ Xx @ z ) ) )
        & ! [Xy: $i,Xx1: a,Xx2: a] :
            ( ( ! [Xw: a] :
                  ( ( f @ Xx1 @ Xy )
                  | ( ~ ( f @ Xw @ Xy )
                    & ( cR @ Xx1 @ z ) ) )
              & ! [Xw: a] :
                  ( ( f @ Xx2 @ Xy )
                  | ( ~ ( f @ Xw @ Xy )
                    & ( cR @ Xx2 @ z ) ) ) )
           => ( cR @ Xx1 @ Xx2 ) )
        & ! [Xy: $i] :
          ? [Xx: a] :
          ! [Xw: a] :
            ( ( f @ Xx @ Xy )
            | ( ~ ( f @ Xw @ Xy )
              & ( cR @ Xx @ z ) ) ) ) ) )).

%------------------------------------------------------------------------------
