%------------------------------------------------------------------------------
% File     : SEV110^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem from RELN-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1165 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :  113 (   0 equality;  72 variable)
%            Maximal formula depth :   23 (  12 average)
%            Number of connectives :   71 (   0   ~;   2   |;   8   &;  48   @)
%                                         (   0 <=>;  13  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   12 (  12   >;   0   *;   0   +)
%            Number of symbols     :    3 (   1   :;   0  :=)
%            Number of variables   :   28 (   0 sgn;  28   !;   0   ?;   0   ^)
%                                         (  28   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM251E_pme,conjecture,(
    ! [R: a > a > $o,S: a > a > $o,Xx: a,Xy: a] :
      ( ! [Xp1: a > a > $o] :
          ( ( ! [Xs: a,Xt: a] :
                ( ( ( R @ Xs @ Xt )
                  | ( S @ Xs @ Xt ) )
               => ( Xp1 @ Xs @ Xt ) )
            & ! [Xx0: a,Xy0: a,Xz: a] :
                ( ( ( Xp1 @ Xx0 @ Xy0 )
                  & ( Xp1 @ Xy0 @ Xz ) )
               => ( Xp1 @ Xx0 @ Xz ) ) )
         => ( Xp1 @ Xx @ Xy ) )
     => ! [Xp1: a > a > $o] :
          ( ( ! [Xss: a,Xtt: a] :
                ( ( ! [Xp10: a > a > $o] :
                      ( ( ! [Xsss: a,Xttt: a] :
                            ( ( R @ Xsss @ Xttt )
                           => ( Xp10 @ Xsss @ Xttt ) )
                        & ! [Xx0: a,Xy0: a,Xz: a] :
                            ( ( ( Xp10 @ Xx0 @ Xy0 )
                              & ( Xp10 @ Xy0 @ Xz ) )
                           => ( Xp10 @ Xx0 @ Xz ) ) )
                     => ( Xp10 @ Xss @ Xtt ) )
                  | ! [Xp10: a > a > $o] :
                      ( ( ! [Xssss: a,Xtttt: a] :
                            ( ( S @ Xssss @ Xtttt )
                           => ( Xp10 @ Xssss @ Xtttt ) )
                        & ! [Xx0: a,Xy0: a,Xz: a] :
                            ( ( ( Xp10 @ Xx0 @ Xy0 )
                              & ( Xp10 @ Xy0 @ Xz ) )
                           => ( Xp10 @ Xx0 @ Xz ) ) )
                     => ( Xp10 @ Xss @ Xtt ) ) )
               => ( Xp1 @ Xss @ Xtt ) )
            & ! [Xx0: a,Xy0: a,Xz: a] :
                ( ( ( Xp1 @ Xx0 @ Xy0 )
                  & ( Xp1 @ Xy0 @ Xz ) )
               => ( Xp1 @ Xx0 @ Xz ) ) )
         => ( Xp1 @ Xx @ Xy ) ) ) )).

%------------------------------------------------------------------------------
