%------------------------------------------------------------------------------
% File     : SEV194^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Sets of sets)
% Problem  : TPS problem from S-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1033 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    5 (   3 unit;   4 type;   0 defn)
%            Number of atoms       :   63 (   7 equality;  28 variable)
%            Maximal formula depth :   23 (   7 average)
%            Number of connectives :   29 (   0   ~;   2   |;   7   &;  18   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +)
%            Number of symbols     :    7 (   4   :;   0  :=)
%            Number of variables   :   10 (   0 sgn;   4   !;   6   ?;   0   ^)
%                                         (  10   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(x,type,(
    x: a )).

thf(c0,type,(
    c0: a )).

thf(cP,type,(
    cP: a > a > a )).

thf(cS_INCL_LEM2_pme,conjecture,(
    ! [R: a > a > a > $o] :
      ( ( $true
        & ! [Xa: a,Xb: a,Xc: a] :
            ( ( ( ( Xa = c0 )
                & ( Xb = Xc ) )
              | ( ( Xb = c0 )
                & ( Xa = Xc ) )
              | ? [Xx1: a,Xx2: a,Xy1: a,Xy2: a,Xz1: a,Xz2: a] :
                  ( ( Xa
                    = ( cP @ Xx1 @ Xx2 ) )
                  & ( Xb
                    = ( cP @ Xy1 @ Xy2 ) )
                  & ( Xc
                    = ( cP @ Xz1 @ Xz2 ) )
                  & ( R @ Xx1 @ Xy1 @ Xz1 )
                  & ( R @ Xx2 @ Xy2 @ Xz2 ) ) )
           => ( R @ Xa @ Xb @ Xc ) ) )
     => ( R @ c0 @ x @ x ) ) )).

%------------------------------------------------------------------------------
