%------------------------------------------------------------------------------
% File     : SEV273^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory (Sets of sets)
% Problem  : TPS problem THM542
% Version  : Especial.
% English  : A well-ordering is reflexive.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0569 [Bro09]
%          : THM542 [TPS]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   1 unit;   2 type;   0 defn)
%            Number of atoms       :   34 (   1 equality;  18 variable)
%            Maximal formula depth :   14 (   7 average)
%            Number of connectives :   19 (   0   ~;   0   |;   3   &;  11   @)
%                                         (   0 <=>;   5  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +)
%            Number of symbols     :    4 (   2   :;   0  :=)
%            Number of variables   :    7 (   0 sgn;   5   !;   2   ?;   0   ^)
%                                         (   7   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cR,type,(
    cR: a > a > $o )).

thf(cTHM542_pme,conjecture,
    ( ! [X: a > $o] :
        ( ? [Xz: a] :
            ( X @ Xz )
       => ? [Xz: a] :
            ( ( X @ Xz )
            & ! [Xx: a] :
                ( ( X @ Xx )
               => ( cR @ Xz @ Xx ) )
            & ! [Xy: a] :
                ( ( ( X @ Xy )
                  & ! [Xx: a] :
                      ( ( X @ Xx )
                     => ( cR @ Xy @ Xx ) ) )
               => ( Xy = Xz ) ) ) )
   => ! [Xx: a] :
        ( cR @ Xx @ Xx ) )).

%------------------------------------------------------------------------------
