%------------------------------------------------------------------------------
% File     : SEV292^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem BLEDSOE7A
% Version  : Especial.
% English  :

% Refs     : [BF93]  Bledsoe & Feng (1993), SET-VAR
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0340 [Bro09]
%          : BLEDSOE7A [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    6 (   0 unit;   1 type;   4 defn)
%            Number of atoms       :   70 (   5 equality;  20 variable)
%            Maximal formula depth :   11 (   7 average)
%            Number of connectives :   27 (   2   ~;   0   |;   5   &;  17   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   18 (  18   >;   0   *;   0   +)
%            Number of symbols     :    7 (   1   :;   0  :=)
%            Number of variables   :   11 (   0 sgn;   2   !;   3   ?;   6   ^)
%                                         (  11   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(cP,type,(
    cP: ( ( $i > $o ) > $o ) > $o )).

thf(cZERO,definition,
    ( cZERO
    = ( ^ [Xp: $i > $o] :
          ~ ( ? [Xx: $i] :
                ( Xp @ Xx ) ) ) )).

thf(cSUCC,definition,
    ( cSUCC
    = ( ^ [Xn: ( $i > $o ) > $o,Xp: $i > $o] :
        ? [Xx: $i] :
          ( ( Xp @ Xx )
          & ( Xn
            @ ^ [Xt: $i] :
                ( ( Xt != Xx )
                & ( Xp @ Xt ) ) ) ) ) )).

thf(cONE,definition,
    ( cONE
    = ( cSUCC @ cZERO ) )).

thf(c_less__eq_,definition,
    ( c_less__eq_
    = ( ^ [Xx: ( $i > $o ) > $o,Xy: ( $i > $o ) > $o] :
        ! [Xp: ( ( $i > $o ) > $o ) > $o] :
          ( ( ( Xp @ Xx )
            & ! [Xz: ( $i > $o ) > $o] :
                ( ( Xp @ Xz )
               => ( Xp @ ( cSUCC @ Xz ) ) ) )
         => ( Xp @ Xy ) ) ) )).

thf(cBLEDSOE7A,conjecture,
    ( ( cP @ cONE )
   => ? [Xx: ( $i > $o ) > $o] :
        ( ( c_less__eq_ @ cZERO @ Xx )
        & ( c_less__eq_ @ Xx @ ( cSUCC @ cONE ) )
        & ( cP @ Xx ) ) )).

%------------------------------------------------------------------------------
