%------------------------------------------------------------------------------
% File     : SEV299^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem from TTTP-NATS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0787 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   0 type;   3 defn)
%            Number of atoms       :   66 (   4 equality;  24 variable)
%            Maximal formula depth :   11 (   9 average)
%            Number of connectives :   26 (   2   ~;   0   |;   4   &;  15   @)
%                                         (   0 <=>;   5  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   18 (  18   >;   0   *;   0   +)
%            Number of symbols     :    5 (   0   :;   0  :=)
%            Number of variables   :   12 (   0 sgn;   5   !;   2   ?;   5   ^)
%                                         (  12   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(cSUCC,definition,
    ( cSUCC
    = ( ^ [Xn: ( $i > $o ) > $o,Xp: $i > $o] :
        ? [Xx: $i] :
          ( ( Xp @ Xx )
          & ( Xn
            @ ^ [Xt: $i] :
                ( ( Xt != Xx )
                & ( Xp @ Xt ) ) ) ) ) )).

thf(cZERO,definition,
    ( cZERO
    = ( ^ [Xp: $i > $o] :
          ~ ( ? [Xx: $i] :
                ( Xp @ Xx ) ) ) )).

thf(cNAT,definition,
    ( cNAT
    = ( ^ [Xn: ( $i > $o ) > $o] :
        ! [Xp: ( ( $i > $o ) > $o ) > $o] :
          ( ( ( Xp @ cZERO )
            & ! [Xx: ( $i > $o ) > $o] :
                ( ( Xp @ Xx )
               => ( Xp @ ( cSUCC @ Xx ) ) ) )
         => ( Xp @ Xn ) ) ) )).

thf(cINDUCTION,conjecture,(
    ! [P: ( ( $i > $o ) > $o ) > $o] :
      ( ( ( P @ cZERO )
        & ! [X: ( $i > $o ) > $o] :
            ( ( P @ X )
           => ( P @ ( cSUCC @ X ) ) ) )
     => ! [M: ( $i > $o ) > $o] :
          ( ( cNAT @ M )
         => ( P @ M ) ) ) )).

%------------------------------------------------------------------------------
