%------------------------------------------------------------------------------
% File     : SEV300^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem from TTTP-NATS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0824 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   0 type;   3 defn)
%            Number of atoms       :   54 (   9 equality;  19 variable)
%            Maximal formula depth :   11 (   8 average)
%            Number of connectives :   14 (   2   ~;   0   |;   2   &;   8   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    7 (   7   >;   0   *;   0   +)
%            Number of symbols     :    5 (   0   :;   0  :=)
%            Number of variables   :   13 (   0 sgn;   3   !;   3   ?;   7   ^)
%                                         (  13   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(cZERO,definition,
    ( cZERO
    = ( ^ [Xp: $i > $o] :
          ~ ( ? [Xx: $i] :
                ( Xp @ Xx ) ) ) )).

thf(cSUCC,definition,
    ( cSUCC
    = ( ^ [Xn: ( $i > $o ) > $o,Xp: $i > $o] :
        ? [Xx: $i] :
          ( ( Xp @ Xx )
          & ( Xn
            @ ^ [Xt: $i] :
                ( ( Xt != Xx )
                & ( Xp @ Xt ) ) ) ) ) )).

thf(cONE,definition,
    ( cONE
    = ( cSUCC @ cZERO ) )).

thf(cX6101_EXT_pme,conjecture,
    ( ! [Xf: $i > $i,Xg: $i > $i] :
        ( ! [Xx: $i] :
            ( ( Xf @ Xx )
            = ( Xg @ Xx ) )
       => ( Xf = Xg ) )
   => ( cONE
      = ( ^ [P: $i > $o] :
          ? [Xy: $i] :
            ( P
            = ( ^ [Xx: $i,Xy: $i] : ( Xx = Xy )
              @ Xy ) ) ) ) )).

%------------------------------------------------------------------------------
