%------------------------------------------------------------------------------
% File     : SEV401^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem THM67
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0490 [Bro09]
%          : THM67 [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    4 (   1 unit;   3 type;   0 defn)
%            Number of atoms       :   54 (   0 equality;  20 variable)
%            Maximal formula depth :   10 (   5 average)
%            Number of connectives :   29 (   0   ~;   0   |;   2   &;  20   @)
%                                         (   1 <=>;   6  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   11 (  11   >;   0   *;   0   +)
%            Number of symbols     :    5 (   3   :;   0  :=)
%            Number of variables   :   10 (   0 sgn;  10   !;   0   ?;   0   ^)
%                                         (  10   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cF,type,(
    cF: ( a > $o ) > a > $o )).

thf(cG,type,(
    cG: ( a > $o ) > a > $o )).

thf(cTHM67_pme,conjecture,
    ( ( ! [S: a > $o,T: a > $o] :
          ( ! [Xx: a] :
              ( ( S @ Xx )
             => ( T @ Xx ) )
         => ! [Xx: a] :
              ( ( cF @ T @ Xx )
             => ( cF @ S @ Xx ) ) )
      & ! [S: a > $o,Xx: a] :
          ( ( S @ Xx )
         => ( cF @ ( cG @ S ) @ Xx ) )
      & ! [S: a > $o,Xx: a] :
          ( ( S @ Xx )
         => ( cG @ ( cF @ S ) @ Xx ) ) )
   => ! [S: a > $o,Xx: a] :
        ( ( cF @ ( cG @ ( cF @ S ) ) @ Xx )
      <=> ( cF @ S @ Xx ) ) )).

%------------------------------------------------------------------------------
