%------------------------------------------------------------------------------
% File     : SWV426^2 : TPTP v4.0.0. Released v3.6.0.
% Domain   : Software Verification (Security)
% Problem  : ICL logic mapping to modal logic implies 'cuc'
% Version  : [Ben08] axioms : Augmented.
% English  :

% Refs     : [GA08]  Garg & Abadi (2008), A Modal Deconstruction of Access
%          : [Ben08] Benzmueller (2008), Automating Access Control Logics i
%          : [BP09]  Benzmueller & Paulson (2009), Exploring Properties of
% Source   : [Ben08]
% Names    :

% Status   : Theorem
% Rating   : 0.33 v4.0.0, 0.67 v3.7.0
% Syntax   : Number of formulae    :   60 (   2 unit;  33 type;  24 defn)
%            Number of atoms       :  365 (  24 equality;  55 variable)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   84 (   3   ~;   1   |;   2   &;  77   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  127 ( 127   >;   0   *;   0   +)
%            Number of symbols     :   34 (  33   :;   0  :=)
%            Number of variables   :   49 (   2 sgn;   6   !;   4   ?;  39   ^)
%                                         (  49   :;   0  :=;   0  !>;   0  ?*)

% Comments : THF0 syntax
%------------------------------------------------------------------------------
%----Include axioms of multi modal logic
include('Axioms/LCL008^0.ax').
%----Include axioms of ICL logic
include('Axioms/SWV008^0.ax').
%----Include axioms for ICL notions of validity wrt S4
include('Axioms/SWV008^1.ax').
%------------------------------------------------------------------------------
%----We introduce an arbitrary atom s and t
thf(s,type,(
    s: $i > $o )).

thf(t,type,(
    t: $i > $o )).

thf(a,type,(
    a: $i > $o )).

%----Can we prove 'cuc'?
thf(cuc,conjecture,
    ( iclval @ ( icl_impl @ ( icl_says @ ( icl_princ @ a ) @ ( icl_impl @ ( icl_atom @ s ) @ ( icl_atom @ t ) ) ) @ ( icl_impl @ ( icl_says @ ( icl_princ @ a ) @ ( icl_atom @ s ) ) @ ( icl_says @ ( icl_princ @ a ) @ ( icl_atom @ t ) ) ) ) )).

%------------------------------------------------------------------------------
