%------------------------------------------------------------------------------
% File     : SYN984^1 : TPTP v4.0.0. Released v3.6.0.
% Domain   : Syntactic
% Problem  : Factoring application over conjunction with lambda
% Version  : Especial.
% English  : Variation of BB-1 with functional extensionality

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher-Ord
%          : [Ben08] Benzmueller (2008), Email to G. Sutcliffe
% Source   : [Ben08]
% Names    : BB-2 [Ben08]

% Status   : Theorem
% Rating   : 0.67 v4.0.0, 0.33 v3.7.0
% Syntax   : Number of formulae    :    4 (   2 unit;   3 type;   0 defn)
%            Number of atoms       :   15 (   0 equality;   0 variable)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :    6 (   0   ~;   0   |;   2   &;   3   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +)
%            Number of symbols     :    5 (   3   :;   0  :=)
%            Number of variables   :    3 (   3 sgn;   0   !;   0   ?;   3   ^)
%                                         (   3   :;   0  :=;   0  !>;   0  ?*)

% Comments : LEO-II can prove this theorem in 0.02 seconds
%          : Requires Boolean extensionality and functional extensionality
%          : THF0 syntax
%------------------------------------------------------------------------------
thf(a_const,type,(
    a: $o )).

thf(b_const,type,(
    b: $o )).

thf(p_const,type,(
    p: ( $i > $o ) > $o )).

thf(thm,conjecture,
    ( ( ( p
        @ ^ [X: $i] : a )
      & ( p
        @ ^ [X: $i] : b ) )
   => ( p
      @ ^ [X: $i] :
          ( a
          & b ) ) )).

%------------------------------------------------------------------------------
