%------------------------------------------------------------------------------
% File     : SYO020^1 : TPTP v4.0.0. Released v3.7.0.
% Domain   : Syntactic
% Problem  : De Morgan by Leibnitz
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 20b [BB05]

% Status   : Theorem
%          : Without Boolean extensionality : CounterSatisfiable
% Rating   : 0.33 v4.0.0, 0.00 v3.7.0
% Syntax   : Number of formulae    :    3 (   0 unit;   1 type;   1 defn)
%            Number of atoms       :   20 (   1 equality;   8 variable)
%            Maximal formula depth :    7 (   6 average)
%            Number of connectives :   10 (   3   ~;   1   |;   1   &;   4   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +)
%            Number of symbols     :    2 (   1   :;   0  :=)
%            Number of variables   :    5 (   0 sgn;   3   !;   0   ?;   2   ^)
%                                         (   5   :;   0  :=;   0  !>;   0  ?*)

% Comments : THF0 syntax
%------------------------------------------------------------------------------
thf(leibeq_decl,type,(
    leibeq: $o > $o > $o )).

thf(leibeq,definition,
    ( leibeq
    = ( ^ [X: $o,Y: $o] :
        ! [P: $o > $o] :
          ( ( P @ X )
         => ( P @ Y ) ) ) )).

thf(conj,conjecture,(
    ! [X: $o,Y: $o] :
      ( leibeq
      @ ( X
        & Y )
      @ ~ ( ~ ( X )
          | ~ ( Y ) ) ) )).

%------------------------------------------------------------------------------
