%------------------------------------------------------------------------------
% File     : SYO060^4 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Logic Calculi (Intuitionistic logic)
% Problem  : ILTP problem SYJ103+1
% Version  : [Goe33] axioms.
% English  :

% Refs     : [Goe33] Goedel (1933), An Interpretation of the Intuitionistic
%          : [Gol06] Goldblatt (2006), Mathematical Modal Logic: A View of
%          : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
%          : [BP10]  Benzmueller & Paulson (2009), Exploring Properties of
% Source   : [Ben09]
% Names    : SYJ103+1 [ROK06]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :   45 (   0 unit;  22 type;  19 defn)
%            Number of atoms       :  286 (  19 equality;  48 variable)
%            Maximal formula depth :    8 (   5 average)
%            Number of connectives :   69 (   3   ~;   1   |;   2   &;  61   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   97 (  97   >;   0   *;   0   +)
%            Number of symbols     :   25 (  22   :;   0  :=)
%            Number of variables   :   40 (   1 sgn;   7   !;   2   ?;  31   ^)
%                                         (  40   :;   0  :=;   0  !>;   0  ?*)

% Comments : THF0 syntax
%          : This is an ILTP problem embedded in THF
%------------------------------------------------------------------------------
include('Axioms/LCL010^0.ax').
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $i > $o )).

thf(b_type,type,(
    b: $i > $o )).

thf(axiom1,axiom,
    ( ivalid @ ( ior @ ( inot @ ( iatom @ a ) ) @ ( inot @ ( iatom @ b ) ) ) )).

thf(con,conjecture,
    ( ivalid @ ( ior @ ( inot @ ( iatom @ b ) ) @ ( inot @ ( iatom @ a ) ) ) )).

%------------------------------------------------------------------------------
