%------------------------------------------------------------------------------
% File     : SYO217^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem THM174
% Version  : Especial.
% English  : Principle of extensionality for binary relations.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0105 [Bro09]
%          : THM174 [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    3 (   2 unit;   2 type;   0 defn)
%            Number of atoms       :   19 (   1 equality;   8 variable)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :    6 (   0   ~;   0   |;   0   &;   4   @)
%                                         (   1 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +)
%            Number of symbols     :    4 (   2   :;   0  :=)
%            Number of variables   :    4 (   0 sgn;   4   !;   0   ?;   0   ^)
%                                         (   4   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(b_type,type,(
    b: $tType )).

thf(a_type,type,(
    a: $tType )).

thf(cTHM174,conjecture,(
    ! [Xr: b > a > $o,Xs: b > a > $o] :
      ( ! [Xx: b,Xy: a] :
          ( ( Xr @ Xx @ Xy )
        <=> ( Xs @ Xx @ Xy ) )
     => ( Xr = Xs ) ) )).

%------------------------------------------------------------------------------
