%------------------------------------------------------------------------------
% File     : SYO227^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem BLEDSOE4-W-AX
% Version  : Especial.
% English  :

% Refs     : [BF93]  Bledsoe & Feng (1993), SET-VAR
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0514 [Bro09]
%          : BLEDSOE4-W-AX [TPS]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    5 (   3 unit;   4 type;   0 defn)
%            Number of atoms       :   28 (   1 equality;   7 variable)
%            Maximal formula depth :    8 (   4 average)
%            Number of connectives :   18 (   3   ~;   0   |;   3   &;   9   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +)
%            Number of symbols     :    6 (   4   :;   0  :=)
%            Number of variables   :    3 (   0 sgn;   2   !;   1   ?;   0   ^)
%                                         (   3   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Example 4 of [BF93] is countersatisfiable without assuming <
%            implies not =. This puts in that.
%------------------------------------------------------------------------------
thf(c,type,(
    c: $i )).

thf(b,type,(
    b: $i )).

thf(a,type,(
    a: $i )).

thf(c_less_,type,(
    c_less_: $i > $i > $o )).

thf(cBLEDSOE4_W_AX,conjecture,
    ( ! [Xx: $i,Xy: $i] :
        ( ( c_less_ @ Xx @ Xy )
       => ( Xx != Xy ) )
   => ( ( ( c_less_ @ a @ b )
        & ( c_less_ @ b @ c ) )
     => ? [A: $i > $o] :
          ( ~ ( A @ a )
          & ( A @ b )
          & ~ ( A @ c ) ) ) )).

%------------------------------------------------------------------------------
