%------------------------------------------------------------------------------
% File     : SYO276^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem BLEDSOE-FENG-SV-I2
% Version  : Especial.
% English  :

% Refs     : [BF93]  Bledsoe & Feng (1993), SET-VAR
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0505 [Bro09]
%          : BLEDSOE-FENG-SV-I2 [TPS]
%          : Example I2 [BF93]

% Status   : Theorem
% Rating   : 0.67 v4.0.0
% Syntax   : Number of formulae    :    6 (   3 unit;   5 type;   0 defn)
%            Number of atoms       :   30 (   0 equality;   8 variable)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :   17 (   0   ~;   0   |;   2   &;  12   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +)
%            Number of symbols     :    7 (   5   :;   0  :=)
%            Number of variables   :    3 (   0 sgn;   3   !;   0   ?;   0   ^)
%                                         (   3   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(m,type,(
    m: $i )).

thf(cP,type,(
    cP: $i > $o )).

thf(n,type,(
    n: $i )).

thf(s,type,(
    s: $i > $i )).

thf(cO,type,(
    cO: $i )).

thf(cBLEDSOE_FENG_SV_I2,conjecture,
    ( ( ! [A: $i > $i > $o] :
          ( ( ( A @ cO @ cO )
            & ! [Xx: $i,Xy: $i] :
                ( ( A @ Xx @ Xy )
               => ( A @ ( s @ Xx ) @ ( s @ Xy ) ) ) )
         => ( A @ n @ m ) )
      & ( cP @ n ) )
   => ( cP @ m ) )).

%------------------------------------------------------------------------------
