%------------------------------------------------------------------------------
% File     : SYO359^5 : TPTP v4.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem EXT1
% Version  : Especial.
% English  : Theorem about extensionality.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0243 [Bro09]
%          : EXT1 [TPS]

% Status   : Theorem
% Rating   : 0.33 v4.0.0
% Syntax   : Number of formulae    :    6 (   2 unit;   5 type;   0 defn)
%            Number of atoms       :   31 (   1 equality;   6 variable)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   14 (   0   ~;   0   |;   0   &;   8   @)
%                                         (   2 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +)
%            Number of symbols     :    7 (   5   :;   0  :=)
%            Number of variables   :    3 (   0 sgn;   3   !;   0   ?;   0   ^)
%                                         (   3   :;   0  :=;   0  !>;   0  ?*)

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%------------------------------------------------------------------------------
thf(b_type,type,(
    b: $tType )).

thf(g_type,type,(
    gtype: $tType )).

thf(g,type,(
    g: b > $o )).

thf(h,type,(
    h: ( b > $o ) > gtype )).

thf(f,type,(
    f: b > $o )).

thf(cEXT1,conjecture,
    ( ( ! [Xx: b] :
          ( ( f @ Xx )
        <=> ( g @ Xx ) )
     => ! [Xq: ( b > $o ) > $o] :
          ( ( Xq @ f )
         => ( Xq @ g ) ) )
   => ( ! [Xx: b] :
          ( ( f @ Xx )
        <=> ( g @ Xx ) )
     => ( ( h @ f )
        = ( h @ g ) ) ) )).

%------------------------------------------------------------------------------
